# REQUIREMENTS
require 'compass'
require 'compass-configparser'

# EXTENDS
extend Compass::Actions

config = CompassConfigParser.new(Compass.detect_configuration_file)
filesize_warn_max = config.get_param('filesize_warn_max', 100).to_f

Compass.configuration.on_stylesheet_saved do |css_file|
	byte = (File.size(css_file))
	kb = (byte*0.000976562).ceil

	if (kb > filesize_warn_max)
		Compass::Logger::ACTION_COLORS[:filesize] = :red
	else
		Compass::Logger::ACTION_COLORS[:filesize] = :green
	end

	Compass::Logger.new.record(:filesize, "#{kb}KB (#{byte} Byte)")
end